Subject: bug#44491: Support GUIX_DISABLE_NETWORK_TESTS environment variable

From: Vagrant Cascadian <[email-masked]>
Date: Thu, 03 Dec 2020 11:13:04 -0800

On 2020-12-03, Ludovic Courtès wrote:
> Should we close this issue now that you found the RES_OPTIONS=attempts:0
> trick, or do you think we should still keep the refactoring bits?

Well, it's three cases of copy-paste code, and one nearly identical but
inverted. Someone once suggested to me to refactor on the third instance
of copy-pasted code...

Having common tests makes it a little easier to add to new tests in the
future with the same code, and if there's ever a change in the
underlying code, you fix it in once place. It also opens the door to
adding other common functions, if it comes up.

So I'd say it's worth applying, though also would be ok with leaving as
is and just taking advantage of the RES_OPTIONS=attempts:0 workaround.

live well,
  vagrant